package com.jianshui.income.mapper;


import com.jianshui.income.domain.entity.CollectRecord;

import java.util.List;


/**
 * 进项发票采集记录Mapper接口
 * 
 * @author tianenhui
 * @date 2022-06-11
 */
public interface CollectRecordMapper 
{
    /**
     * 查询进项发票采集记录
     * 
     * @param pch 进项发票采集记录ID
     * @return 进项发票采集记录
     */
    public CollectRecord selectCollectRecordById(int pch);

    /**
     * 查询进项发票采集记录列表
     * 
     * @param collectRecord 进项发票采集记录
     * @return 进项发票采集记录集合
     */
    public List<CollectRecord> selectCollectRecordList(CollectRecord collectRecord);

    /**
     * 新增进项发票采集记录
     * 
     * @param collectRecord 进项发票采集记录
     * @return 结果
     */
    public int insertCollectRecord(CollectRecord collectRecord);

    /**
     * 修改进项发票采集记录
     * 
     * @param collectRecord 进项发票采集记录
     * @return 结果
     */
    public int updateCollectRecord(CollectRecord collectRecord);

    /**
     * 删除进项发票采集记录
     * 
     * @param pch 进项发票采集记录ID
     * @return 结果
     */
    public int deleteCollectRecordById(int pch);

    /**
     * 批量删除进项发票采集记录
     * 
     * @param pchs 需要删除的数据ID
     * @return 结果
     */
    public int deleteCollectRecordByIds(int[] pchs);

    /**
     * 根据企业税号、发票类型、采集类型查询最近一次发票采集记录
     * @param collectRecord
     * @return
     */
    CollectRecord selectCollectRecord(CollectRecord collectRecord);
}
